> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace recipients for a notification

> Returns a paginated list of workspaces receiving the specified notification within the authorized organization. If the notification does not exist in the authorized scope, respond with 404. If it exists with workspace target but has no recipients, respond with 200 and empty data. If it exists with a target other than workspaces, respond with 400. Aggregation not available on this endpoint.



## OpenAPI

````yaml /en/api-reference/openapi.en-v2.json get /v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/workspaces
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 1.0.0
  description: Public REST API for portal
servers:
  - url: https://api.flexxible.net/
    description: Portal API
security:
  - bearerAuth: []
tags:
  - name: Solve
    description: Flexxible Solve ticket visibility and management
  - name: Digital activity
    description: Core process group creation by organization
  - name: Locations
    description: Location management (FWS)
  - name: Roles
    description: Role creation endpoint for organization
  - name: Users
    description: User creation endpoint for organization
  - name: Workspace groups
    description: Management endpoints for workspace groups
  - name: Networks
    description: Network management (FWS)
  - name: WiFi Networks
    description: Wi-Fi network management (FWS)
  - name: Workspaces
    description: Workspace deletion endpoint for the organization
  - name: Event logs
    description: Workspace event logs query
  - name: Installed apps
    description: Installed application detail endpoint for the organization
  - name: Authentication
    description: Session context and authentication endpoints
  - name: Microservices
    description: Details of microservices by organization
  - name: Operations
    description: Detail queries for operations by organization
  - name: Organization
    description: Organization operations
  - name: Patch policy targets
    description: Patch policy objective management endpoints
  - name: Product configurations
    description: Product configuration management endpoints
  - name: Reporting Groups
    description: Operations on reporting groups
  - name: Sessions
    description: Session detail endpoint for the organization
  - name: Tenants
    description: Tenant management endpoints
  - name: Workspace Connection Logs
    description: Workspace connection logs query
  - name: Workspace GPO
    description: Query GPOs applied to a session
  - name: Workspace Notifications
    description: Workspace notifications query
paths:
  /v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/workspaces:
    get:
      tags:
        - Workspace Notifications
      summary: List workspace recipients for a notification
      description: >-
        Returns a paginated list of workspaces receiving the specified
        notification within the authorized organization. If the notification
        does not exist in the authorized scope, respond with 404. If it exists
        with workspace target but has no recipients, respond with 200 and empty
        data. If it exists with a target other than workspaces, respond with
        400. Aggregation not available on this endpoint.
      operationId: listWorkspaceNotificationWorkspaces
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Organization identifier.
          example: 507f1f77bcf86cd799439011
        - name: workspace_notification_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
            minLength: 36
            maxLength: 36
          description: Workspace notification ID
          example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
          description: Page number.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 100
          description: Number of items per page.
        - name: fields
          in: query
          required: false
          schema:
            type: string
            maxLength: 2048
          description: Response fields separated by commas for each element.
          example: id,name,status,total_users_accepted
        - name: filters
          in: query
          required: false
          schema:
            type: string
            maxLength: 5120
          description: JSON expression of filters on filterable resource fields.
          examples:
            simple:
              summary: Filter by name
              value: '{"field":"name","op":"contains","value":"laptop"}'
            complex-and:
              summary: Filter by state and accepted users
              value: >-
                {"and":[{"field":"status","op":"eq","value":"updated"},{"field":"total_users_accepted","op":"gte","value":1}]}
            complex-or-and:
              summary: Filter by state and name
              value: >-
                {"and":[{"or":[{"field":"status","op":"eq","value":"pending"},{"field":"status","op":"eq","value":"updated"}]},{"field":"name","op":"contains","value":"laptop"}]}
        - name: sort
          in: query
          required: false
          schema:
            type: string
            pattern: ^([a-z_]+):(asc|desc)$
          description: Sorting expression with format <field>:asc|desc. Default name:asc.
          example: name:asc
      responses:
        '200':
          description: Workspace recipients retrieved successfully.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListWorkspaceNotificationWorkspacesResponseV2
              examples:
                paginated_result:
                  summary: Paginated list with results
                  value:
                    has_next: false
                    data:
                      - id: 507f1f77bcf86cd799439012
                        name: LAPTOP-001
                        status: updated
                        total_users_accepted: 3
                empty_result:
                  summary: Existing notification without recipients
                  value:
                    has_next: false
                    data: []
        '400':
          description: Invalid request parameters or incompatible notification target.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                invalid_parameters:
                  summary: Invalid parameters
                  value:
                    error:
                      message: Parámetros de solicitud no válidos.
                      code: BAD_REQUEST
                      details: per_page must be less than or equal to 100
        '401':
          description: Not authorized or without access to the organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: Unauthorized
                  value:
                    error:
                      message: No autorizado.
                      code: UNAUTHORIZED
        '404':
          description: Workspace notification not found within authorized organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                not_found:
                  summary: Resource not found
                  value:
                    error:
                      message: Recurso no encontrado.
                      code: NOT_FOUND
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                rate_limited:
                  summary: Request limit exceeded
                  value:
                    error:
                      message: Límite de solicitudes excedido.
                      code: TOO_MANY_REQUESTS
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                server_error:
                  summary: Internal error
                  value:
                    error:
                      message: Error interno del servidor.
                      code: INTERNAL_SERVER_ERROR
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                service_unavailable:
                  summary: Service unavailable
                  value:
                    error:
                      message: Database unavailable
                      code: SERVICE_UNAVAILABLE
components:
  schemas:
    ListWorkspaceNotificationWorkspacesResponseV2:
      type: object
      properties:
        has_next:
          type: boolean
          description: Indicates if there's a next page.
        data:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceNotificationWorkspaceItemV2'
      required:
        - has_next
        - data
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
    WorkspaceNotificationWorkspaceItemV2:
      type: object
      properties:
        id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Workspace ID. Null if the recipient does not match in Portal
        name:
          type: string
          nullable: true
          description: Recipient's name.
        status:
          type: string
          nullable: true
          enum:
            - pending
            - updated
          description: Recipient's status.
        total_users_accepted:
          type: number
          nullable: true
          description: Number of users who accepted on this recipient.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````